Showing results for 
Search instead for 
Did you mean: 

Adding an Assembly PMI Callout

Valued Contributor
Valued Contributor

Does anyone know how to add a PMI Callout into an assembly?


I have tried accessing the AssemblyDocument.PMI.Balloons and then adding a balloon using the following:


Dim SEAssy as SolidEdgeAssembly.AssemblyDocument = SEApp.ActiveDocument

Dim PMI as SolidEdgeFrameworkSupport.PMI = SEAssy.PMI

Dim Balloons As SolidEdgeFrameworkSupport.Balloons = PMI.Balloons

Dim Balloon As SolidEdgeFrameworkSupport.Balloon

Dim vert(2) As Double  'set to contain the X,Y,Z coordinates of the position to add the balloon


Balloon = Balloons.Add(Vert(0),Vert(1),Vert(2))



However Balloon remains nothing.  No errors are generated, just nothing happens!


Any assistance would be much appreciated.



Posted by: Tom Harris
Post date: 8/2/2011 7:09:50 PM